New Islamic Software structure

Bug #493825 reported by Abdelmonam Kouka on 2009-12-07
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Sabily
High
أحمد المحمودي (Ahmed El-Mahmoudy)
Gaza
High
أحمد المحمودي (Ahmed El-Mahmoudy)

Bug Description

Assalamo alaykom,

What do you think about a new menu structure like the one in the screenshot attached, really I like it :)
If yes could you please re-package Islamic software to have this behaviour at install?

Note that actually there is alos some bugs in Islamic Software menu positions, after installation:
- Minbar figure only under Accessories menu and NOT under Islamic Software!
- Monajat did not figure in any menu! (if I choose to quit Monajat then I would like to activate it again, should I use terminal?) for me I added the item in the menu, but it should be done in the package also.
- I think that "noor" also is installed only in education menu, I think it should be only in Islamic Software
- Same remarks for "Mus-haf Othman" and "Thwab" (actually in science menu) and "Hijra" (actually in system tools menu).

Salem

Related branches

Changed in sabily:
importance: Undecided → Medium
assignee: nobody → أحمد المحمودي (Ahmed El-Mahmoudy) (aelmahmoudy)
milestone: none → gaza-alpha-3
status: New → Confirmed

السلام عليكم،

On Mon, Dec 07, 2009 at 11:34:15PM -0000, Abdelmonam Kouka wrote:
> What do you think about a new menu structure like the one in the screenshot attached, really I like it :)
> If yes could you please re-package Islamic software to have this behaviour at install?
---end quoted text---

Nice, if I am not mistaken, what you added is a submenu for Qur'an
software, right ?

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Wa alaykom assalem,

Yep + adding Minbar and Monajat into Islamic Software:
http://launchpadlibrarian.net/36552621/Screenshot.png

2009/12/8 أحمد المحمودي <email address hidden>

> السلام عليكم،
>
> On Mon, Dec 07, 2009 at 11:34:15PM -0000, Abdelmonam Kouka wrote:
> > What do you think about a new menu structure like the one in the
> screenshot attached, really I like it :)
> > If yes could you please re-package Islamic software to have this
> behaviour at install?
> ---end quoted text---
>
> Nice, if I am not mistaken, what you added is a submenu for Qur'an
> software, right ?
>
>
> --
> ‎أحمد المحمودي (Ahmed El-Mahmoudy)
> Digital design engineer
> GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
> GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7
>
> _______________________________________________
> Mailing list: https://launchpad.net/~sabily.team<https://launchpad.net/%7Esabily.team>
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~sabily.team<https://launchpad.net/%7Esabily.team>
> More help : https://help.launchpad.net/ListHelp
>

--
عبد المنعم كوكة
Abdelmonam Kouka
http://sabily-guru.blogspot.com/

Ok, I will need an icon for Qur'an study tools.

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Well designers, are you listening? ;)

2009/12/8 أحمد المحمودي <email address hidden>

> Ok, I will need an icon for Qur'an study tools.
>
> --
> ‎أحمد المحمودي (Ahmed El-Mahmoudy)
> Digital design engineer
> GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
> GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7
>

--
عبد المنعم كوكة
Abdelmonam Kouka
http://sabily-guru.blogspot.com/

Actually I need that the Islamic Software icon also be redone in
scalable (SVG) format.

Also the Qur'an study icon should be in scalable (SVG) format.

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Assalamo alaykom,

In this selection:
http://www.linuxac.org/forum/linuxac77/thread19463-2.html#post172547
there is a very nice Mus-haf picture (inside the wallpaper), you can contact
the author asking him to transform this picture (only the Mus-haf picture)
to an icon in svg format?

2009/12/8 أحمد المحمودي <email address hidden>

> Actually I need that the Islamic Software icon also be redone in
> scalable (SVG) format.
>
> Also the Qur'an study icon should be in scalable (SVG) format.
>
> --
> ‎أحمد المحمودي (Ahmed El-Mahmoudy)
> Digital design engineer
> GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
> GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7
>
> _______________________________________________
> Mailing list: https://launchpad.net/~sabily.team<https://launchpad.net/%7Esabily.team>
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~sabily.team<https://launchpad.net/%7Esabily.team>
> More help : https://help.launchpad.net/ListHelp
>

--
عبد المنعم كوكة
Abdelmonam Kouka
http://sabily-guru.blogspot.com/

Changed in sabily:
importance: Medium → High

This one may help. It's in PNG format 96*96

2009/12/12 Abdelmonam Kouka <email address hidden>

> ** Changed in: sabily
> Importance: Medium => High
>
> ** Also affects: sabily/gaza
> Importance: High
> Assignee: أحمد المحمودي (Ahmed El-Mahmoudy) (aelmahmoudy)
> Status: Confirmed
>
> --
> New Islamic Software structure
> https://bugs.launchpad.net/bugs/493825
> You received this bug notification because you are a member of Sabily
> Team, which is subscribed to Sabily.
>
> Status in Sabily: Confirmed
> Status in Sabily gaza series: Confirmed
>
> Bug description:
> Assalamo alaykom,
>
> What do you think about a new menu structure like the one in the screenshot
> attached, really I like it :)
> If yes could you please re-package Islamic software to have this behaviour
> at install?
>
> Note that actually there is alos some bugs in Islamic Software menu
> positions, after installation:
> - Minbar figure only under Accessories menu and NOT under Islamic Software!
> - Monajat did not figure in any menu! (if I choose to quit Monajat then I
> would like to activate it again, should I use terminal?) for me I added the
> item in the menu, but it should be done in the package also.
> - I think that "noor" also is installed only in education menu, I think it
> should be only in Islamic Software
> - Same remarks for "Mus-haf Othman" and "Thwab" (actually in science menu)
> and "Hijra" (actually in system tools menu).
>
> Salem
>
>
>
> _______________________________________________
> Mailing list: https://launchpad.net/~sabily.team<https://launchpad.net/%7Esabily.team>
> Post to : <email address hidden>
> Unsubscribe : https://launchpad.net/~sabily.team<https://launchpad.net/%7Esabily.team>
> More help : https://help.launchpad.net/ListHelp
>

--
Saber OMRI
Enseignant TIC
Al Manhal Geek
Supporter ubuntu & edubuntu

As salaamu alaykum

I hae been following the discourse here, and was wondering was there any thought adding some security/audit/white hat tools to the distro. Sortof an "Islamic" Backtrack?

-M

-- Sent from my Palm Prē
Saber OMRI wrote:

This one may help. It's in PNG format 96*96

2009/12/12 Abdelmonam Kouka &lt;<email address hidden>>

** Changed in: sabily

   Importance: Medium => High

** Also affects: sabily/gaza

   Importance: High

     Assignee: أحمد المحمودي (Ahmed El-Mahmoudy) (aelmahmoudy)

       Status: Confirmed

--

New Islamic Software structure

https://bugs.launchpad.net/bugs/493825

You received this bug notification because you are a member of Sabily

Team, which is subscribed to Sabily.

Status in Sabily: Confirmed

Status in Sabily gaza series: Confirmed

Bug description:

Assalamo alaykom,

What do you think about a new menu structure like the one in the screenshot attached, really I like it :)

If yes could you please re-package Islamic software to have this behaviour at install?

Note that actually there is alos some bugs in Islamic Software menu positions, after installation:

- Minbar figure only under Accessories menu and NOT under Islamic Software!

- Monajat did not figure in any menu! (if I choose to quit Monajat then I would like to activate it again, should I use terminal?) for me I added the item in the menu, but it should be done in the package also.

- I think that "noor" also is installed only in education menu, I think it should be only in Islamic Software

- Same remarks for "Mus-haf Othman" and "Thwab" (actually in science menu) and "Hijra" (actually in system tools menu).

Salem

_______________________________________________

Mailing list: https://launchpad.net/~sabily.team

Post to     : <email address hidden>

Unsubscribe : https://launchpad.net/~sabily.team

More help   : https://help.launchpad.net/ListHelp

--
Saber OMRI
Enseignant TIC
Al Manhal Geek
Supporter ubuntu &amp; edubuntu

On Sat, Dec 12, 2009 at 11:52:20PM +0100, Saber OMRI wrote:
> This one may help. It's in PNG format 96*96
---end quoted text---

SVG please ! You can use Inkscape to create SVG format images.

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

السلام عليكم،

  Bro Muayyad has converted the Islamic menu icon to SVG (attached). Bro
  Muayyad, can you tell us wether you used some tool to convert PNG to
  SVG (and if yes, how ?), or you had to redraw it (in that case please
  help bro Saber with the Qur'an submenu icon).

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

On Sat, Dec 12, 2009 at 09:01:09PM -0000, Abdelmonam Kouka wrote:
> Assignee: أحمد المحمودي (Ahmed El-Mahmoudy) (aelmahmoudy)
---end quoted text---

A new project called islamic-menus is been created (only the Git
repository was created & hosted by Ojuba, I didn't have time to create
the project page on Launchpad yet). So I thought that Sabily & Ojuba
(since they are probably the only distros that mainly target muslim
users (I'm not sure of Joatha is still active or not), should
collaborate to standardize a menu set for Islamic applications.

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

2009/12/13 أحمد المحمودي <email address hidden>

> On Sat, Dec 12, 2009 at 11:52:20PM +0100, Saber OMRI wrote:
> > This one may help. It's in PNG format 96*96
> ---end quoted text---
>
> SVG please ! You can use Inkscape to create SVG format images.
>
> I know that ! .. Just i told it's png format which means that EVEN if i
converted it to SVG format it remais NOT a vector image (it's just a matter
of open - save as, but the quality remains the same as the PNG) .. i hope
you get it.
Anyway, i'll attach the svg format.

> --
> ‎أحمد المحمودي (Ahmed El-Mahmoudy)
> Digital design engineer
> GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
> GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7
>

--
Saber OMRI
Enseignant TIC
Al Manhal Geek
Supporter ubuntu & edubuntu

Saber OMRI (omrisaber-gmail) wrote :

2009/12/13 أحمد المحمودي <email address hidden>

> On Sat, Dec 12, 2009 at 11:52:20PM +0100, Saber OMRI wrote:
> > This one may help. It's in PNG format 96*96
> ---end quoted text---
>
> SVG please ! You can use Inkscape to create SVG format images.
>
> Here is brother AHMED ,the svg format needed :D
 honestly, i tried my best to keep the quality as good as possible, that
explains the size of the file !

--
Saber OMRI
Enseignant TIC
Al Manhal Geek
Supporter ubuntu & edubuntu

On Sun, Dec 13, 2009 at 10:04:44AM +0100, Saber OMRI wrote:
> 2009/12/13 أحمد المحمودي <email address hidden>
>
> > On Sat, Dec 12, 2009 at 11:52:20PM +0100, Saber OMRI wrote:
> > > This one may help. It's in PNG format 96*96
> > ---end quoted text---
> >
> > SVG please ! You can use Inkscape to create SVG format images.
> >
> > Here is brother AHMED ,the svg format needed :D
> honestly, i tried my best to keep the quality as good as possible, that
> explains the size of the file !
---end quoted text---

Can it be redrawn again on Inkscape ?

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Saber OMRI (omrisaber-gmail) wrote :

2009/12/13 أحمد المحمودي <email address hidden>

> quoted text---
>
> Can it be redrawn again on Inkscape ?
>
> Sure brother, and that's what i did already. the previous given SVG is a
vector one (converted using inkscape)...it may be looks not excellent,
that's because the original size is too small :)
any help buddies i'm available as possible as i can.
BTW, is there any new xsplash suggestion, or you will keep the old one?

> --
> ‎أحمد المحمودي (Ahmed El-Mahmoudy)
> Digital design engineer
> GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
> GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7
>

--
Saber OMRI
Enseignant TIC
Al Manhal Geek
Supporter ubuntu & edubuntu

+1

2009/12/13 أحمد المحمودي (Ahmed El-Mahmoudy) <
<email address hidden>>

> On Sat, Dec 12, 2009 at 09:01:09PM -0000, Abdelmonam Kouka wrote:
> > Assignee: أحمد المحمودي (Ahmed El-Mahmoudy) (aelmahmoudy)
> ---end quoted text---
>
> A new project called islamic-menus is been created (only the Git
> repository was created & hosted by Ojuba, I didn't have time to create
> the project page on Launchpad yet). So I thought that Sabily & Ojuba
> (since they are probably the only distros that mainly target muslim
> users (I'm not sure of Joatha is still active or not), should
> collaborate to standardize a menu set for Islamic applications.
>
> --
> ‎أحمد المحمودي (Ahmed El-Mahmoudy)
> Digital design engineer
> GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
> GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7
>
> --
> New Islamic Software structure
> https://bugs.launchpad.net/bugs/493825
> You received this bug notification because you are a member of Manarah
> Developer Team, which is subscribed to gaza.
>
> Status in Sabily: Confirmed
> Status in Sabily gaza series: Confirmed
>
> Bug description:
> Assalamo alaykom,
>
> What do you think about a new menu structure like the one in the screenshot
> attached, really I like it :)
> If yes could you please re-package Islamic software to have this behaviour
> at install?
>
> Note that actually there is alos some bugs in Islamic Software menu
> positions, after installation:
> - Minbar figure only under Accessories menu and NOT under Islamic Software!
> - Monajat did not figure in any menu! (if I choose to quit Monajat then I
> would like to activate it again, should I use terminal?) for me I added the
> item in the menu, but it should be done in the package also.
> - I think that "noor" also is installed only in education menu, I think it
> should be only in Islamic Software
> - Same remarks for "Mus-haf Othman" and "Thwab" (actually in science menu)
> and "Hijra" (actually in system tools menu).
>
> Salem
>
>
>

--
عبد المنعم كوكة
Abdelmonam Kouka
http://sabily-guru.blogspot.com/

I propose to repeat it! even create new one ;)

2009/12/13 Saber OMRI <email address hidden>

>
>
> 2009/12/13 أحمد المحمودي <email address hidden>
>
>> On Sat, Dec 12, 2009 at 11:52:20PM +0100, Saber OMRI wrote:
>>
>> > This one may help. It's in PNG format 96*96
>> ---end quoted text---
>>
>> SVG please ! You can use Inkscape to create SVG format images.
>>
>> Here is brother AHMED ,the svg format needed :D
> honestly, i tried my best to keep the quality as good as possible, that
> explains the size of the file !
>
> --
> Saber OMRI
> Enseignant TIC
> Al Manhal Geek
> Supporter ubuntu & edubuntu
>

--
عبد المنعم كوكة
Abdelmonam Kouka
http://sabily-guru.blogspot.com/

There another tread for that ;) I hope you participate there for this
subject...

2009/12/13 Saber OMRI <email address hidden>

>
>
> 2009/12/13 أحمد المحمودي <email address hidden>
>
>> quoted text---
>>
>>
>> Can it be redrawn again on Inkscape ?
>>
>> Sure brother, and that's what i did already. the previous given SVG is a
> vector one (converted using inkscape)...it may be looks not excellent,
> that's because the original size is too small :)
> any help buddies i'm available as possible as i can.
> BTW, is there any new xsplash suggestion, or you will keep the old one?
>
>> --
>>
>> ‎أحمد المحمودي (Ahmed El-Mahmoudy)
>> Digital design engineer
>> GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
>> GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7
>>
>
>
>
> --
> Saber OMRI
> Enseignant TIC
> Al Manhal Geek
> Supporter ubuntu & edubuntu
>

--
عبد المنعم كوكة
Abdelmonam Kouka
http://sabily-guru.blogspot.com/

On Sun, Dec 13, 2009 at 05:41:21PM +0100, Abdelmonam Kouka wrote:
> I propose to repeat it! even create new one ;)
---end quoted text---

Brother created one, please find it attached.

Here are the steps he told me about if the original file is raster-based
graphics file:

1. Get a high resolution of the image
2. Manipulate it with Gimp (not sure why he does that)
3. Trace it with Inkscape (I think he means via the Path->Trace bitmap)

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Can this subject be closed before next Wednesday? At least a version without translations (or with the existent translations till now)?
In fact I need it for the final release of Sabily Gaza.

Uploaded to the PPA

That means if I start a fresh install of Sabily packages on a standard ubuntu I get now the new structure? or you need also to modify the other packages (Zekr, Mus-haf Othman...)?

Kouka: They are modified (still didn't upload zekr due to the eclipse problem I told you about on private chat).

After installing the Islamic menu, I get the new icon, but there is no sub menu called Quranic Study Tools and of course no software on it!!!

On Mon, Dec 21, 2009 at 12:04:18AM -0000, Abdelmonam Kouka wrote:
> After installing the Islamic menu, I get the new icon, but there is no
> sub menu called Quranic Study Tools and of course no software on it!!!
---end quoted text---

Yes, the sub menu will only appear if three or more Qur'an study
applications are installed. So if you install Othman (in thwab package),
noor & zekr, you will see the sub-menu.

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

As you see in the attached photo: there is Zekr, noor and Mus-haf Othman installed but no Quran menu!!!

On Mon, Dec 21, 2009 at 07:10:59AM -0000, Abdelmonam Kouka wrote:
> As you see in the attached photo: there is Zekr, noor and Mus-haf Othman
> installed but no Quran menu!!!
---end quoted text---

I think the reason is because I still didn't upload zekr due to eclipse
issue.

--
 ‎أحمد المحمودي (Ahmed El-Mahmoudy)
  Digital design engineer
 GPG KeyID: 0xEDDDA1B7 (@ subkeys.pgp.net)
 GPG Fingerprint: 8206 A196 2084 7E6D 0DF8 B176 BC19 6A94 EDDD A1B7

Can this point be fixed before wednesday? in fcat I planned to start buillding the final verison of Gaza (minimal and full versions) in wednesday inshalla to have some time to test them in interne before uploading them...

Changed in sabily:
status: Incomplete → Fix Released

09 February 2013

Hi,

Saber OMRI is inviting you to join Freelancer.com

(http://www.freelancer.com/users/2072278.html?utm_campaign=new_freelancer_invite&utm_medium=email&utm_source=freelancer&utm_content=new_freelancer_invite)
Saber OMRI (http://www.freelancer.com/users/2072278.html?utm_campaign=new_freelancer_invite&utm_medium=email&utm_source=freelancer&utm_content=new_freelancer_invite)

9 February 2013

Freelancer.com is the world's largest micro-outsourcing site. We have over 7,006,277 registered professionals ready to bid on your jobs and produce high quality work.
The average job is under $200 USD and you can outsource anything, whether you need web design, graphic design, marketing or sales. Turbocharge your business today!
Looking for work? We also have the largest network of employers ready to hire just about any skill set.
Join Freelancer.com (http://www.freelancer.com/friend-invitation/join.php?id=10082861&utm_campaign=new_freelancer_invite&utm_medium=email&utm_source=freelancer&utm_content=new_freelancer_invite) <email address hidden> was invited to join Freelancer.com by Saber OMRI.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers